Bug 242355 - [NEW PORT] japanese/p5-Lingua-JA-Romanize-Japanese: Romanization of Japanese language
Summary: [NEW PORT] japanese/p5-Lingua-JA-Romanize-Japanese: Romanization of Japanese ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 242358
  Show dependency treegraph
 
Reported: 2019-12-02 09:09 UTC by Tomohiro Hosaka
Modified: 2019-12-11 19:28 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (3.67 KB, text/plain)
2019-12-02 09:09 UTC, Tomohiro Hosaka
no flags Details
poudriere bulk log (23.85 KB, text/plain)
2019-12-05 11:56 UTC, Tomohiro Hosaka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2019-12-02 09:09:41 UTC
* portlint
  looks fine.
* poudriere testport ok (12.0, amd64, svn-head)
* make test ok
Comment 1 Tomohiro Hosaka 2019-12-02 09:09:43 UTC
Created attachment 209593 [details]
svn diff
Comment 2 Dmitry Marakasov freebsd_committer 2019-12-04 16:15:39 UTC
This seem to try to download files during build, this is not allowed.

External dictionaries:
        http://openlab.jp/skk/dic/SKK-JISYO.L.gz
        http://openlab.jp/skk/dic/SKK-JISYO.jinmei.gz
        http://openlab.jp/skk/dic/SKK-JISYO.propernoun.gz
        http://openlab.jp/skk/dic/SKK-JISYO.geo.gz
        http://openlab.jp/skk/dic/SKK-JISYO.station.gz
Do you wish to download these files? [y] y
Fetching file: http://openlab.jp/skk/dic/SKK-JISYO.L.gz
Loading dictionary: skk/SKK-JISYO.L.gz
No such file or directory - skk/SKK-JISYO.L.gz
Comment 3 Tomohiro Hosaka 2019-12-05 11:55:02 UTC
The following in the Makefile should work and not download.

MAKE_ENV+=      DISABLE_DIC_DOWNLOAD=1

External dictionaries:
	http://openlab.jp/skk/dic/SKK-JISYO.L.gz
	http://openlab.jp/skk/dic/SKK-JISYO.jinmei.gz
	http://openlab.jp/skk/dic/SKK-JISYO.propernoun.gz
	http://openlab.jp/skk/dic/SKK-JISYO.geo.gz
	http://openlab.jp/skk/dic/SKK-JISYO.station.gz
Do you wish to download these files? [n] n <----- auto select
Okay, the default dictionary is used:
	skk/SKK-JISYO.S
Loading dictionary: skk/SKK-JISYO.S
................ 3371 lines loaded.
Optimizing dictionary: 5748 keywords.
Writing DB_File: lib/Lingua/JA/Romanize/Japanese.bdb
.. 5748 keywords saved.
Done.
Comment 4 Tomohiro Hosaka 2019-12-05 11:56:19 UTC
Created attachment 209719 [details]
poudriere bulk log
Comment 5 commit-hook freebsd_committer 2019-12-11 19:28:38 UTC
A commit references this bug:

Author: pi
Date: Wed Dec 11 19:28:31 UTC 2019
New revision: 519832
URL: https://svnweb.freebsd.org/changeset/ports/519832

Log:
  New port: japanese/p5-Lingua-JA-Romanize-Japanese: Romanization of Japanese language

  Romanization of Japanese language.

  WWW: https://metacpan.org/release/Lingua-JA-Romanize-Japanese

  PR:		242355
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in>

Changes:
  head/japanese/Makefile
  head/japanese/p5-Lingua-JA-Romanize-Japanese/
  head/japanese/p5-Lingua-JA-Romanize-Japanese/Makefile
  head/japanese/p5-Lingua-JA-Romanize-Japanese/distinfo
  head/japanese/p5-Lingua-JA-Romanize-Japanese/files/
  head/japanese/p5-Lingua-JA-Romanize-Japanese/files/patch-lib_Lingua_JA_Romanize_DictJA.pm
  head/japanese/p5-Lingua-JA-Romanize-Japanese/pkg-descr
  head/japanese/p5-Lingua-JA-Romanize-Japanese/pkg-message
  head/japanese/p5-Lingua-JA-Romanize-Japanese/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2019-12-11 19:28:43 UTC
Committed, thanks!